net.sf.okapi.common.resource

## Enum AlignmentStatus

- java.lang.Object
- - java.lang.Enum<AlignmentStatus>
  - - net.sf.okapi.common.resource.AlignmentStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AlignmentStatus>

      public enum AlignmentStatus
      extends java.lang.Enum<AlignmentStatus>

  `Segment` alignmment status.
  Author:
    HargraveJE

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALIGNED`
    `NOT_ALIGNED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlignmentStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AlignmentStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALIGNED

          public static final AlignmentStatus ALIGNED

    - #### NOT_ALIGNED

          public static final AlignmentStatus NOT_ALIGNED

  - ### Method Detail

    - #### values

          public static AlignmentStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlignmentStatus c : AlignmentStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlignmentStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null